Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class X509Extension

    java.lang.Object
      org.bouncycastle.asn1.x509.X509Extension

    public class X509Extension

extends java.lang.Object

an object for the elements in the X.509 V3 extension block.

Constructor Summary
`X509Extension(boolean critical, ASN1OctetString value)`
`X509Extension(DERBoolean critical, ASN1OctetString value)`

Method Summary
`static ASN1Object` `convertValueToObject(X509Extension ext)` Convert the value of the passed in extension to an object
`boolean` `equals(java.lang.Object o)`
`ASN1OctetString` `getValue()`
`int` `hashCode()`
`boolean` `isCritical()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509Extension

    public X509Extension(DERBoolean critical,
                         ASN1OctetString value)

### X509Extension

    public X509Extension(boolean critical,
                         ASN1OctetString value)

Method Detail

### isCritical

    public boolean isCritical()

### getValue

    public ASN1OctetString getValue()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### convertValueToObject

    public static ASN1Object convertValueToObject(X509Extension ext)
                                           throws java.lang.IllegalArgumentException

  Convert the value of the passed in extension to an object

  Parameters:
    `ext` - the extension to parse
  Returns:
    the object the value string contains
  Throws:
    `java.lang.IllegalArgumentException` - if conversion is not possible

Bouncy Castle Cryptography Library 1.45